### Enumeration

# GdkInputSource

#### Declaration

    enum Gdk.InputSource

#### Description [src]

An enumeration describing the type of an input device in general terms.

#### Members

`GDK_SOURCE_MOUSE`

  The device is a mouse. (This will be reported for the core pointer, even if it is something else, such as a trackball.)

  - Value: `0`
  - Nickname: `mouse`
  - Available since: 4.0
`GDK_SOURCE_PEN`

  The device is a stylus of a graphics tablet or similar device.

  - Value: `1`
  - Nickname: `pen`
  - Available since: 4.0
`GDK_SOURCE_KEYBOARD`

  The device is a keyboard.

  - Value: `2`
  - Nickname: `keyboard`
  - Available since: 4.0
`GDK_SOURCE_TOUCHSCREEN`

  The device is a direct-input touch device, such as a touchscreen or tablet.

  - Value: `3`
  - Nickname: `touchscreen`
  - Available since: 4.0
`GDK_SOURCE_TOUCHPAD`

  The device is an indirect touch device, such as a touchpad.

  - Value: `4`
  - Nickname: `touchpad`
  - Available since: 4.0
`GDK_SOURCE_TRACKPOINT`

  The device is a trackpoint.

  - Value: `5`
  - Nickname: `trackpoint`
  - Available since: 4.0
`GDK_SOURCE_TABLET_PAD`

  The device is a “pad”, a collection of buttons, rings and strips found in drawing tablets.

  - Value: `6`
  - Nickname: `tablet-pad`
  - Available since: 4.0